Bug 830535 - F17 installation aborts with script error
F17 installation aborts with script error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pinentry (Show other bugs)
19
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 09:03 EDT by bfay
Modified: 2015-02-18 08:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:43:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
installing pinentry error message (screenshot) (61.06 KB, image/png)
2012-06-10 09:03 EDT, bfay
no flags Details

  None (edit)
Description bfay 2012-06-10 09:03:40 EDT
Created attachment 590743 [details]
installing pinentry error message (screenshot)

Description of problem:
Fedora 17 x86_64 installation (netboot) aborts while installing pinentry package.

Version-Release number of selected component (if applicable):
0.8.1-6.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start the installation program on a x86_64 machine
2. While installing pinentry-0.8.1-6.fc17.x86_64 an error message is displayed
3.
  
Actual results:
Installation cannot continue on x86_64.

Expected results:
Finish the installation.

Additional info:
This does not occur on i386.
Comment 1 Fedora End Of Life 2013-07-03 22:46:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 05:22:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Richard W.M. Jones 2013-08-28 08:21:41 EDT
Also happens on Fedora 19 on ppc64.  The error is:

Error

The following error occurred while installing.  This is a fatal
error and installation will be aborted.

 script error with package pinentry
Press enter to exit.
Comment 4 Richard W.M. Jones 2013-08-28 08:23:04 EDT
There's no additional information, eg. error messages, in
any log file.
Comment 5 Rex Dieter 2013-08-28 09:17:31 EDT
Strange, this is all there is:

Requires(pre): %{_sbindir}/update-alternatives

# alternatives dropped at 0.7.6-3 (use %%trigger instead?)
%pre
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-curses ||:
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-gtk ||:
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-qt ||:

%post
if [ -f %{_infodir}/pinentry.info* ]; then
/sbin/install-info %{_infodir}/pinentry.info %{_infodir}/dir ||:
fi

%preun
if [ $1 -eq 0 -a -f %{_infodir}/pinentry.info* ] ; then
  /sbin/install-info --delete %{_infodir}/pinentry.info %{_infodir}/dir ||:
fi



Good news is that's a *long* time ago, perhaps it's time to drop the %pre baggage (unless anyone can eyeball something wrong with %preun or %post ?
Comment 6 Richard W.M. Jones 2013-08-28 09:30:08 EDT
TBH I'm rather expecting that this is a ppc64-specific
error.  The same error happened with a different package,
so I opened a bug against anaconda (bug 1002077).
Comment 7 Fedora Admin XMLRPC Client 2014-07-19 13:59:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2015-01-09 16:58:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:43:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.